tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: 2013Q3 freeze pre-announcement

On Wed, 11 Sep 2013 22:11:38 +0900, Joerg Sonnenberger 
<> wrote:

On Wed, Sep 11, 2013 at 09:57:56PM +0900, OBATA Akio wrote:
As a member of pkgsrc-security, I feel so notable cost about PostgreSQL,
and then, it is rare that PostgreSQL related pullup is requested.

A good chunk of them are. This discussion happens every time and there
are still few convincing reasons for keeping more than 3 versions

I have never heard about it other than you.

reason for not waiting x11/motif are:
* If X11_TYPE=native, builtin motif also should be preferred

Really? Outside maybe Solaris, I think this falls into the same category
as "how much problems are you going to run into with outdated X11".
So yes, who is using native motif and has a strong opinion about keeping
using it?

Most of packages using Motif is legacy application, so newer X11
will not be required.

* If any of motif is already installed from pkgsrc, it should be preferred.

But I have no objection to drop lestiff/openmotif from pkgsrc.

I don't want to force lesstif removal right now, but if someone wants to
use it, he can and should set the MOTIF_TYPE option. That's what it is

MOTIF_TYPE is package settable variable.

There are two type of default select method in pkgsrc:
1. Set wanted one to *_{DEFAULT,VERSION,TYPE,...}_* and it will be used even if 
others are installed.
2. installed version will be selected, or *_{DEFAULT,VERSION,TYPE,...}_* will 
be used.

1. is usually used when possible choice are allowed to be co-existance.
2. is usually used for opposite case.

Motif's situation is 2.

OBATA Akio /

Home | Main Index | Thread Index | Old Index